> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/backend/beacon/add-a-beacon.md).

# Add

A beacon is a small, electronic device based on Bluetooth Low Energy® which broadcasts advertising packets. These signals can be received by any smartphone.

The beacon can be placed in a vehicle to simplify its identification.

If the driver has an application including the DriveKit SDK, the trip recording will start automatically when entering in the beacon signal emission range.

The trip will be assigned to the vehicle as well as the analytics computed by the DriveQuant services.

In order to identify a vehicle, it is necessary to perform a software pairing between the beacon and the vehicle via the API described below.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/c7915f9bb33a1-pair-a-beacon).
{% endhint %}

## Beacon declaration

<mark style="color:orange;">`PUT`</mark> `https://service.drivequant.com/v3/drivekit/admin/vehicles/{vehicleId}/beacon/add`

Pair a beacon to a vehicule using the vehicle unique identifier and beacon parameters.

#### Path Parameters

| Name      | Type   | Description               |
| --------- | ------ | ------------------------- |
| vehicleId | string | Vehicle unique identifier |

#### Headers

| Name                   | Type   | Description   |
| ---------------------- | ------ | ------------- |
| DriveKit-Admin-API-Key | string | Admin API Key |

#### Request Body

<table><thead><tr><th width="162">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>major</td><td>integer</td><td>Major</td></tr><tr><td>minor</td><td>integer</td><td>Minor</td></tr><tr><td>proximityUuid</td><td>string</td><td>Proximity UUID</td></tr><tr><td>uniqueId</td><td>string</td><td>Beacon unique identifier</td></tr></tbody></table>

{% tabs %}
{% tab title="200 " %}

```
success
```

{% endtab %}
{% endtabs %}

## Example of JSON body request

```json
{
  "major": 1010,
  "minor": 234,
  "proximityUuid": "735bbc80-b5c4-11e3-9a9f-0cf36e3bc034",
  "uniqueId": "aQeF"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/backend/beacon/add-a-beacon.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
